package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcMtlx;

/**
 * 媒体类型Service接口
 *
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcMtlxService {
    /**
     * 查询媒体类型
     *
     * @param id 媒体类型主键
     * @return 媒体类型
     */
    public TcMtlx selectTcMtlxById(Long id);

    /**
     * 查询媒体类型列表
     *
     * @param tcMtlx 媒体类型
     * @return 媒体类型集合
     */
    public List<TcMtlx> selectTcMtlxList(TcMtlx tcMtlx);

    /**
     * 新增媒体类型
     *
     * @param tcMtlx 媒体类型
     * @return 结果
     */
    public int insertTcMtlx(TcMtlx tcMtlx);

    /**
     * 修改媒体类型
     *
     * @param tcMtlx 媒体类型
     * @return 结果
     */
    public int updateTcMtlx(TcMtlx tcMtlx);

    /**
     * 批量删除媒体类型
     *
     * @param ids 需要删除的媒体类型主键集合
     * @return 结果
     */
    public int deleteTcMtlxByIds(Long[] ids);

    /**
     * 删除媒体类型信息
     *
     * @param id 媒体类型主键
     * @return 结果
     */
    public int deleteTcMtlxById(Long id);


    /**
     * 导入媒体类型信息
     *
     * @return 结果
     */
    public String importUser(List<TcMtlx> tcMtlxList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
